##### ip::basic_resolver::resolve (9 of 10 overloads)

Perform reverse resolution of an endpoint to a list of entries.

    results_type resolve(
        const endpoint_type & e);

This function is used to resolve an endpoint into a list of endpoint entries.

###### Parameters

e

  An endpoint object that determines what endpoints will be returned.

###### Return Value

A range object representing the list of endpoint entries. A successful call to this function is guaranteed to return a non-empty range.

###### Exceptions

asio::system_error

  Thrown on failure.